curl --request PUT \
--url https://api.app.fleetit.com/v2/vehicles/{ID}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plate_number": "00395C3",
"plate_state": "CA",
"vehicle_make": "Ford1",
"vehicle_model": "F-250 Super Duty2",
"year": "2025",
"vehicle_number": "1FT7W2BN6LEE69408MMM",
"vehicle_type_code": "520_520",
"custom_fields": {
"Location": "test",
"Equipment Number": "",
"Trial_added": "",
"Tracking": ""
}
}
'{
"id": 128,
"plate_number": "00395C3",
"plate_state": "CA",
"vehicle_number": "1FT7W2BN6LEE69408MMM",
"vehicle_make": "Ford1",
"vehicle_model": "F-250 Super Duty2",
"year": "2025",
"lessee_renter": null,
"custom_fields": {
"Location": "test",
"Equipment Number": "",
"Trial_added": "",
"Tracking": ""
},
"vehicle_type_code": "520_520",
"added_date": "2023-04-11T18:00:36.488727-04:00",
"fleet": {
"id": 1,
"region_details": [
{
"id": 1,
"title": "Washington"
},
{
"id": 2,
"title": "California"
},
{
"id": 3,
"title": "Texas"
},
{
"id": 4,
"title": "Colorado"
},
{
"id": 5,
"title": "E-Z PASS"
}
],
"title": "FleetIT Demo",
"is_active": true,
"billing_type": "POSTPAID",
"onboarding_stage": "COMPLETED",
"warning_threshold_per_vehicle": null,
"deactivation_threshold_per_vehicle": null,
"client": null,
"onboarding_vehicle_order": null
},
"active": true
}Update a vehicle by ID.
curl --request PUT \
--url https://api.app.fleetit.com/v2/vehicles/{ID}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plate_number": "00395C3",
"plate_state": "CA",
"vehicle_make": "Ford1",
"vehicle_model": "F-250 Super Duty2",
"year": "2025",
"vehicle_number": "1FT7W2BN6LEE69408MMM",
"vehicle_type_code": "520_520",
"custom_fields": {
"Location": "test",
"Equipment Number": "",
"Trial_added": "",
"Tracking": ""
}
}
'{
"id": 128,
"plate_number": "00395C3",
"plate_state": "CA",
"vehicle_number": "1FT7W2BN6LEE69408MMM",
"vehicle_make": "Ford1",
"vehicle_model": "F-250 Super Duty2",
"year": "2025",
"lessee_renter": null,
"custom_fields": {
"Location": "test",
"Equipment Number": "",
"Trial_added": "",
"Tracking": ""
},
"vehicle_type_code": "520_520",
"added_date": "2023-04-11T18:00:36.488727-04:00",
"fleet": {
"id": 1,
"region_details": [
{
"id": 1,
"title": "Washington"
},
{
"id": 2,
"title": "California"
},
{
"id": 3,
"title": "Texas"
},
{
"id": 4,
"title": "Colorado"
},
{
"id": 5,
"title": "E-Z PASS"
}
],
"title": "FleetIT Demo",
"is_active": true,
"billing_type": "POSTPAID",
"onboarding_stage": "COMPLETED",
"warning_threshold_per_vehicle": null,
"deactivation_threshold_per_vehicle": null,
"client": null,
"onboarding_vehicle_order": null
},
"active": true
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Vehicle manufacturer name.
Vehicle model name.
Manufacturing year (1000 to current year + 100). Numeric digits only.
VIN or custom vehicle identifier (max 20 characters, any format allowed).
20Name of the person or entity leasing/renting the vehicle.
Vehicle status.
Custom fields for the vehicle. Custom fields are set at the fleet level by FleetIT. You can only update the values, not the field names.
Show child attributes
{
"Location": "test",
"Equipment Number": "",
"Trial_added": "",
"Tracking": ""
}Vehicle type code for classification.
Successful response
128
"00395C3"
"CA"
"1FT7W2BN6LEE69408MMM"
"Ford1"
"F-250 Super Duty2"
"2025"
null
Custom fields for the vehicle with their current values.
{
"Location": "test",
"Equipment Number": "",
"Trial_added": "",
"Tracking": ""
}"520_520"
"2023-04-11T18:00:36.488727-04:00"
Show child attributes
true
Was this page helpful?